<template>
  <page-meta :page-style="themeColor"></page-meta>
  <view class="message-index">
    <!--顶部内容-->
    <view class="top">
      <image class="top-image" :src="$util.img('public/static/img/futures/my_shop_top_bg.png')" mode="widthFix"></image>
    </view>
    <!--消息内容-->
    <view class="message-content">
      <!--顶部标题-->
      <view class="titles">


      </view>
      <!--消息列表-->





    </view>












    <!--登录弹框-->
    <ns-login ref="login"></ns-login>
    <!--加载动画-->
    <loading-cover ref="loadingCover"></loading-cover>
  </view>
</template>

<script>
export default {
  data() {
    return {
      // 顶部标题
      titles:[
        { title: '交易信息', icon: 'public/static/img/futures/business.png' },
        { title: '系统消息', icon: 'public/static/img/futures/system.png' },
        { title: '通知消息', icon: 'public/static/img/futures/notice.png' },
        { title: '留言反馈', icon: 'public/static/img/futures/words.png' },
      ],





    };
  },
  components: {},
  mixins: [],
  onLoad(option) {},
  onShow() {},
  onReady(){
    // 判断是否登录
    if (!uni.getStorageSync('token')) this.$refs.login.open('/pages_promotion/message/index');


    if (this.$refs.loadingCover) this.$refs.loadingCover.hide();
  },
  methods: {









  },
  onBackPress(options) {
    if (options.from === 'navigateBack') return false;
    this.$util.redirectTo('/pages/member/index');
    return true;
  }
};
</script>

<style lang="scss" scoped>
.message-index{
  background-color: #f0a71d;
  min-height: 100vh;

  .top{

    .top-image{}
  }




}







</style>
